/* $Id: cmdline.h 1.5 2000/12/21 11:56:51 satomii Exp $ */
/*----------------------------------------------------------------------*/
/*		cmdline.h														*/
/*			designed		by satomii		00/12/15					*/
/*			copyright (c) 1999-2000, satomii. all rights reserved.		*/
/*----------------------------------------------------------------------*/
/*
 *	parses command-line options.
 *
 *	this program is free software; you can redistribute and/or modify it
 *	under the terms of the GNU General Public License either version 2 or
 *	later, as published by the Free Software Foundation.
 *
 *	this program is distributed in the hope that it will be useful, but
 *	WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *	General Public License for more details.
 */
#ifndef __CMDLINE_H__
#define __CMDLINE_H__

#ifndef MAX_SHORTOPTION
#define MAX_SHORTOPTION			8
#endif	/* !MAX_SHORTOPTION */

#ifndef MAX_LONGOPTION
#define MAX_LONGOPTION			32
#endif	/* !MAX_LONGOPTION */

#pragma pack(1)

typedef struct _tagOPTIONFORMAT {
	TCHAR id;		/* unique char for this option. */
	TCHAR type;		/* '\0', '=' or ':'. */
	TCHAR short_option[MAX_SHORTOPTION + 1];
	TCHAR long_option[MAX_LONGOPTION + 1];
} OPTIONFORMAT, FAR *LPOPTIONFORMAT;

#pragma pack()

/* uType values for PARSEPARSECMD. */
#define PARSECMD_NOERROR				0
#define PARSECMD_INVALID_FORMAT			1
#define PARSECMD_UNKNOWN_OPTION			2
#define PARSECMD_PARAM_REQUIRED			3
#define PARSECMD_PARAM_NOT_ALLOWED		4

/* return values for PARSEPARSECMD. */
#define PARSECMD_ABORT					-1	/* stop parsing. */
#define PARSECMD_IGNORE					0	/* parameter is not an option. */
#define PARSECMD_ACCEPT					1	/* no error. */

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

/*
 *	int __stdcall ParseCommandLineCallback(
 *		int nType,						// callback type.
 *		WORD optid,						// lpOption->id or error character.
 *		LPCTSTR lpszValue,				// option parameter.
 *		LPARAM lParam,					// caller-defined value.
 *		LPCTSTR argv1, LPCTSTR argv2	// original argv parsed.
 *	);
 *	caller-defined callback function for ParseCommandLine(), which will
 *	be called when a switch character is found. uType indicates the
 *	status of this option as one of the PARSECMD_ values. the callback
 *	function must return one of the PARSECMD_ values.
 */
typedef int (__stdcall *PARSECMDCALLBACK)
		(int, WORD, LPCTSTR, LPARAM, LPCTSTR, LPCTSTR);

/*
 *	int ParseCommandLine(
 *		int argc, LPCTSTR *argv,
 *		int nFormat, const LPOPTIONFORMAT lpFormat,
 *		PARSEPARSECMD pfnCallback, LPARAM lParam
 *	);
 *	parses the command line parameters and returns the index of the first
 *	parameter or -1 if an error occurred. the argv list may be re-arranged
 *	after calling this function. note that argc and argv should not
 *	contain the program name itself.
 */
int ParseCommandLine(int, LPCTSTR *,
		int, const OPTIONFORMAT FAR *, PARSECMDCALLBACK, LPARAM);

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* __CMDLINE_H__ */
