;/* $Id: msgtbl.mc 1.5.0.2 2000/12/22 11:25:20 satomii Exp $ */
;/*----------------------------------------------------------------------*/
;/*		msgtbl.mc, msgtbl.h												*/
;/*		message table for doc2txt command.								*/
;/*			designed		by satomii	00/12/17						*/
;/*			copyright (C) 1999-2000, satomii. all rights reserved.		*/
;/*----------------------------------------------------------------------*/
;/*
; *	this program is free software; you can redistribute and/or modify it
; *	under the terms of the GNU General Public License either version 2 or
; *	later, as published by the Free Software Foundation.
; *
; *	this program is distributed in the hope that it will be useful, but
; *	WITHOUT ANY WARRANTY; without even the implied warranty of
; *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
; *	General Public License for more details.
; */
;#ifndef __MSGTBL_H__
;#define __MSGTBL_H__
;
MessageIdTypedef = DWORD
FacilityNames = (
	Doc2Txt=0xff1:FACILITY_DOC2TXT
	CmdLine=0xff2:FACILITY_CMDLINE
	WordOle=0xff3:FACILITY_WORDOLE
)
LanguageNames = (
	English=0x409:msg0409
)

MessageId=0x0001
Severity=Informational
Facility=Doc2Txt
SymbolicName=MSG_I_SYNTAX
Language=English
Usage: %1 [-cr] [[-o DIR|-O] [-e|-E EXT] [-k|-w]|-s]
                   [-f FORMAT] [-CS] [WqDvh] [--] file [..-P PROGID] [-.]
.

MessageId=0x0002
Severity=Informational
Facility=Doc2Txt
SymbolicName=MSG_I_HELP
Language=English
Usage:
  %1 [-cr] [[-o DIR|-O] [-e|-E EXT] [-k|-w]|-s]
              [-f FORMAT] [-CS] [-P PROGID] [-WqDvh] [--] file [...]

Options:
  -c, --no-cygwin-path        Does not support Cygwin 1.1 mount volumes.
  -r, --recursive             Searches input files recursively.
  -o, --outdir=DIR            Creates output files in DIR.
  -O, --origdir               Creates output files in the same directories as
                              input files.
  -e, --change-extension=EXT  Changes input extensions to EXT.
  -E, --append-extension=EXT  Appends extension EXT.
  -s, --stdout                Writes converted text to stdout.
  -k, --skip-existing         Skips if the output file already exists.
  -w, --overwrite             Overwrites existing files.
  -f, --format=FORMAT         Specifies output format. The default is 2 or
                              wdFormatText. FORMAT must be one of the format
                              specifiers listed below.
  -C, --remove-comment        Removes all comments from documents.
  -S, --remove-style          Removes user-defined styles and resets all
                              paragraphs and characters to the default style.
  -P, --progid=PROGID         Specifies program ID to create an application
                              object.
  -W, --exit-on-warning       Aborts when a warning message is generated.
  -q, --quiet                 Quiet mode. Does not display logs and warnings.
  -D, --debug                 Debug mode. Displays what is going on and exit
                              without actually saving files.
  -v, --version               Displays version information.
  -h, -?, --help              Displays this help.
  --                          Indicates the end of option switches.

Format Specifiers for -f Option:
  0, w, wdFormatDocument, document, doc
  1, l, wdFormatTemplate, template, dot
  2, t, wdFormatText, text, txt
  3, T, wdFormatTextLineBreaks, textlinebreaks
  4, d, wdFormatDOSText, dostext
  5, D, wdFormatDOSTextLineBreaks, dostextlinebreaks
  6, r, wdFormatRTF, rtf, richtext
  7, u, wdFormatUnicodeText, unicodetext, unicode,
        wdFormatEncodedText, encodedtext
  8, h, wdFormatHTML, html, htm

.

MessageId=0x0003
Severity=Informational
Facility=Doc2Txt
SymbolicName=MSG_I_ABORTED
Language=English
Operation Aborted.
.

;
;/*--- docto errors -----------------------------------------------------*/
;

MessageId=0x0001
Severity=Error
Facility=Doc2Txt
SymbolicName=MSG_E_UNEXPECTED
Language=English
An unexpected error has occurred.
.

MessageId=0x0002
Severity=Error
Facility=Doc2Txt
SymbolicName=MSG_E_OUTOFMEMORY
Language=English
Not enough memory.
.

MessageId=0x0003
Severity=Error
Facility=Doc2Txt
SymbolicName=MSG_E_OLE_INITIALIZE
Language=English
Failed to initialize the OLE library.
.

MessageId=0x0004
Severity=Error
Facility=Doc2Txt
SymbolicName=MSG_E_GETVERSION
Language=English
Version information is not available.
.

;
;/*--- command line errors ----------------------------------------------*/
;

MessageId=0x0001
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_INVALID_CMDLINE
Language=English
%1: Bad command line option.
.

MessageId=0x0002
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_INVALID_OPTION
Language=English
%1: Invalid option '%2!c!' specified.
.

MessageId=0x0003
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_PARAMETER_REQUIRED
Language=English
%1: Option requires a parameter.
.

MessageId=0x0004
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_PARAMETER_NOT_ALLOWED
Language=English
%1: Option does not take a parameter.
.

MessageId=0x0005
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_PARAMETER_INVALID
Language=English
%1: "%2" is not a valid parameter for this option.
.

MessageId=0x0006
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_OPTION_DUPLICATED
Language=English
%1: Option cannot be used twice.
.

MessageId=0x0007
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_OPTION_DUPLICATED2
Language=English
%1 %2: Option cannot be used twice.
.

MessageId=0x0008
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_OPTION_CONFLICT
Language=English
%1: Option cannot be used with '%2!c!'.
.

MessageId=0x0009
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_OPTION_CONFLICT2
Language=English
%1 %2: Option cannot be used with '%3!c!'.
.

MessageId=0x000a
Severity=Error
Facility=CmdLine
SymbolicName=MSG_E_NO_FILENAME
Language=English
No file to be processed.
.

;
;/*--- Word OLE errors --------------------------------------------------*/
;

MessageId=0x0001
Severity=Error
Facility=WordOLE
SymbolicName=MSG_E_WORD_INITIALIZE
Language=English
Failed to initialize the Word application.
.

MessageId=0x0002
Severity=Error
Facility=WordOLE
SymbolicName=MSG_E_WORD_GETDOCUMENT
Language=English
Failed to obtain Documents collection object.
.

;
;/*--- docto warnings ---------------------------------------------------*/
;

MessageId=0x0001
Severity=Warning
Facility=Doc2Txt
SymbolicName=MSG_W_INVALID_FILENAME
Language=English
%1: Invalid filename.
.

MessageId=0x0002
Severity=Warning
Facility=Doc2Txt
SymbolicName=MSG_W_FILE_NOT_FOUND
Language=English
%1: File not found.
.

MessageId=0x0003
Severity=Warning
Facility=Doc2Txt
SymbolicName=MSG_W_TOO_LONG_FILENAME
Language=English
%1: Output filename will be too long.
.

MessageId=0x0004
Severity=Warning
Facility=Doc2Txt
SymbolicName=MSG_W_OUTFILE_EXISTS
Language=English
%1: Output file "%1" exists, skipping.
.

MessageId=0x0005
Severity=Warning
Facility=Doc2Txt
SymbolicName=MSG_W_OUTFILE_FULL
Language=English
Unable to generate unique filename for output.
.

MessageId=0x0006
Severity=Warning
Facility=Doc2Txt
SymbolicName=MSG_W_PRINT_OUTFILE
Language=English
Failed to write conversion result to stdout.
.

;
;/*--- Word OLE warnings ------------------------------------------------*/
;

MessageId=0x0001
Severity=Warning
Facility=WordOLE
SymbolicName=MSG_W_WORD_OPEN
Language=English
%1: Documents.Open method failed.
.

MessageId=0x0002
Severity=Warning
Facility=WordOLE
SymbolicName=MSG_W_WORD_SAVEAS
Language=English
Document.SaveAs method failed.
.

MessageId=0x0004
Severity=Warning
Facility=WordOLE
SymbolicName=MSG_W_WORD_QUIT
Language=English
Failed to terminate Word application. Use Task Manager to kill the process.
.

;
;/*--- docto log messages -----------------------------------------------*/
;
MessageId=0x0001
Severity=Success
Facility=Doc2Txt
SymbolicName=MSG_S_OVERWRITE_OUTFILE
Language=English
Existing file "%1" is overwritten.
.

;
;#endif	/* __MSGTBL_H__ */
